Bug 188238 - Kernel 2.6.16-1.2069_FC4 S3 resume breaks i8042 and ACPI, bricks notebook
Kernel 2.6.16-1.2069_FC4 S3 resume breaks i8042 and ACPI, bricks notebook
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-04-07 07:52 EDT by James
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.16-1.2111_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 10:25:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2006-04-07 07:52:48 EDT
Description of problem:
Kernel does not re-initialise i8042 properly after sleep-to-RAM resume. Throws
up lots of ACPI interpreter errors (see below), and there is no ACPI
functionality (e.g. battery level) on resume. Powering down the notebook by
force "bricks" it: the battery must be removed and re-inserted before it will
POST again.

Version-Release number of selected component (if applicable):
2.6.16-1.2069_FC4

How reproducible:
Sporadiacally.

Steps to Reproduce:
1. Suspend via pm-suspend (in pm-utils)
2. Resume
  
Actual results:
Keyboard and mouse unresponsive. Sometimes system locks.

Expected results:
System resumes.

Additional info:
Had no trouble with kernel 2.6.15-1.1833_FC4.

The following is a log extract showing the problem:

Apr  7 10:56:05 localhost kernel: Intel machine check architecture supported.
Apr  7 10:56:05 localhost kernel: Intel machine check reporting enabled on CPU#0.
Apr  7 10:56:05 localhost kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> Link
[LNKA] -> GSI 10 (level, low) -> IRQ 10
Apr  7 10:56:05 localhost kernel: PCI: Enabling device 0000:00:02.1 (0000 -> 0002)
Apr  7 10:56:08 localhost kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link
[LNKC] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:08 localhost kernel: ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link
[LNKB] -> GSI 5 (level, low) -> IRQ 5
Apr  7 10:56:08 localhost kernel: ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link
[LNKB] -> GSI 5 (level, low) -> IRQ 5
Apr  7 10:56:08 localhost kernel: eth1: Coming out of suspend...
Apr  7 10:56:08 localhost kernel: ACPI: PCI Interrupt 0000:01:01.0[A] -> Link
[LNKD] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:08 localhost kernel: ACPI: PCI Interrupt 0000:01:04.0[A] -> Link
[LNKC] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:08 localhost kernel: ACPI: PCI Interrupt 0000:01:05.0[A] -> Link
[LNKG] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:08 localhost kernel: pnp: Device 00:01 does not supported activation.
Apr  7 10:56:08 localhost kernel: pnp: Device 00:02 does not supported activation.
Apr  7 10:56:08 localhost kernel: i8042: Can't write CTR
Apr  7 10:56:08 localhost kernel: Restarting tasks...<4>i8042.c: Can't write CTR
while closing AUX2.
Apr  7 10:56:08 localhost kernel:  done
Apr  7 10:56:08 localhost kernel: i8042.c: Can't activate AUX2, unregistering
the port
Apr  7 10:56:08 localhost kernel: atkbd: probe of serio2 failed with error -1
Apr  7 10:56:08 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:08 localhost kernel: i8042.c: Can't write CTR while closing KBD.
Apr  7 10:56:08 localhost kernel: i8042.c: Can't activate KBD, unregistering the
port
Apr  7 10:56:08 localhost kernel: atkbd: probe of serio4 failed with error -1
Apr  7 10:56:08 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_WAK] (Node ddec5220), AE_TIME
Apr  7 10:56:08 localhost kernel: ACPI Exception (hwsleep-0546): AE_TIME, During
Method _WAK [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_PR_.CPU0._PPC] (Node ddec1ea0), AE_TIME
Apr  7 10:56:08 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:08 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:12 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:12 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:12 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:12 localhost kernel: USB Universal Host Controller Interface driver
v2.3
Apr  7 10:56:12 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link
[LNKA] -> GSI 10 (level, low) -> IRQ 10
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.0: UHCI Host Controller
Apr  7 10:56:12 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:12 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:12 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.0: new USB bus registered,
assigned bus number 1
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.0: irq 10, io base 0x00001200
Apr  7 10:56:12 localhost kernel: usb usb1: configuration #1 chosen from 1 choice
Apr  7 10:56:12 localhost kernel: hub 1-0:1.0: USB hub found
Apr  7 10:56:12 localhost kernel: hub 1-0:1.0: 2 ports detected
Apr  7 10:56:12 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link
[LNKD] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.1: UHCI Host Controller
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.1: new USB bus registered,
assigned bus number 2
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.1: irq 11, io base 0x00001600
Apr  7 10:56:12 localhost kernel: usb usb2: configuration #1 chosen from 1 choice
Apr  7 10:56:12 localhost kernel: hub 2-0:1.0: USB hub found
Apr  7 10:56:12 localhost kernel: hub 2-0:1.0: 2 ports detected
Apr  7 10:56:12 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link
[LNKC] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.2: UHCI Host Controller
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.2: new USB bus registered,
assigned bus number 3
Apr  7 10:56:12 localhost kernel: uhci_hcd 0000:00:1d.2: irq 11, io base 0x00001700
Apr  7 10:56:12 localhost kernel: usb usb3: configuration #1 chosen from 1 choice
Apr  7 10:56:12 localhost kernel: hub 3-0:1.0: USB hub found
Apr  7 10:56:12 localhost kernel: hub 3-0:1.0: 2 ports detected
Apr  7 10:56:13 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link
[LNKH] -> GSI 7 (level, low) -> IRQ 7
Apr  7 10:56:13 localhost kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
Apr  7 10:56:13 localhost kernel: ehci_hcd 0000:00:1d.7: debug port 1
Apr  7 10:56:13 localhost kernel: ehci_hcd 0000:00:1d.7: new USB bus registered,
assigned bus number 4
Apr  7 10:56:13 localhost kernel: ehci_hcd 0000:00:1d.7: irq 7, io mem 0xfebff000
Apr  7 10:56:13 localhost kernel: ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI
1.00, driver 10 Dec 2004
Apr  7 10:56:13 localhost kernel: usb usb4: configuration #1 chosen from 1 choice
Apr  7 10:56:13 localhost kernel: hub 4-0:1.0: USB hub found
Apr  7 10:56:13 localhost kernel: hub 4-0:1.0: 6 ports detected
Apr  7 10:56:14 localhost kernel: ACPI: PCI Interrupt 0000:01:05.0[A] -> Link
[LNKG] -> GSI 11 (level, low) -> IRQ 11
Apr  7 10:56:15 localhost kernel: ohci1394: fw-host0: OHCI-1394 1.0 (PCI):
IRQ=[11]  MMIO=[e0000000-e00007ff]  Max Packet=[2048]  IR/IT contexts=[4/8]
Apr  7 10:56:15 localhost ieee1394.agent[3670]: ... no drivers for IEEE1394
product 0x/0x/0x
Apr  7 10:56:16 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:16 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:16 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:16 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:16 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:16 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:16 localhost ieee1394.agent[3709]: ... no drivers for IEEE1394
product 0x/0x/0x
Apr  7 10:56:17 localhost ieee1394.agent[3722]: ... no drivers for IEEE1394
product 0x/0x/0x
Apr  7 10:56:17 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:17 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:17 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_PR_.CPU0._PPC] (Node ddec1ea0), AE_TIME
Apr  7 10:56:21 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:21 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:21 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:21 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:21 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:21 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:22 localhost ACPID: Power button pressed, resuming from sleep
Apr  7 10:56:23 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:23 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:23 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:23 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:23 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:23 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:24 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:24 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:24 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:24 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:24 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:24 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:26 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:26 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:26 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:26 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:26 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:26 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:31 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:31 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:31 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:31 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:31 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:31 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:35 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:35 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:35 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:36 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:36 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:36 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:36 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:36 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:36 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:41 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:41 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:41 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:41 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:41 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:41 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Apr  7 10:56:45 localhost ACPID: Power button pressed, while awake
Apr  7 10:56:46 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:46 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:46 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.AC__._PSR] (Node ddec5ec0), AE_TIME
Apr  7 10:56:46 localhost kernel: ACPI Exception (evregion-0409): AE_TIME,
Returned by Handler for [EmbeddedControl] [20060127]
Apr  7 10:56:46 localhost kernel: ACPI Exception (dswexec-0458): AE_TIME, While
resolving operands for [AE_NOT_CONFIGURED] [20060127]
Apr  7 10:56:46 localhost kernel: ACPI Error (psparse-0517): Method
parse/execution failed [\_SB_.BAT0._BST] (Node ddec5d80), AE_TIME
Comment 1 James 2006-06-02 10:25:21 EDT
Not seen (so far) with kernel 2.6.16-1.2111_FC4, closing.

Note You need to log in before you can comment on or make changes to this bug.